# Enhancing drug repurposing on graphs by integrating drug molecular structure as feature

## Content in each directory:
- **data**: Data to build DISNET's graph.
- **documentation**: Instructions to install the needed libraries.
- **metrics**: Training, testing and RepoDB validating ROC & PRC.
- **models**: Trained models.
- **results**: Result files of the RepoDB test and the distribution plots (once these are generated).
- **testData**: Data to validate model using RepoDB.
- **Code files:**
  - autoencoder (autoencoder model) 
  - dmsr (train & test) 
  - drug_embedding_generator (generates drug embeddings using SMILES representation).
  - heterograph_construction (build graph)
  - testRepoDB (validate model using RepoDB)
  - topN (get top n predictions)
  - utilities (plotting utilities)

## Summary
Repository of the CBMS2023 "Enhancing drug repurposing on graphs by integrating drug molecular structure as feature" paper.